package com.gh.gamecenter.message.provider

import android.content.Context
import android.content.Intent
import com.therouter.router.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.utils.ToastUtils
import com.gh.gamecenter.feature.provider.INewCommentDetailProvider

@com.therouter.inject.ServiceProvider
class NewCommentDetailProviderImpl : INewCommentDetailProvider {
    override fun getAnswerCommentIntent(
        context: Context,
        commentId: String,
        questionId: String,
        topCommentId: String,
        entrance: String,
        path: String
    ): Intent? {
        ToastUtils.toast("调用->NewCommentDetailProviderImpl.getGameCollectionCommentIntent")
        return null
    }

    override fun getArticleCommentIntent(
        context: Context,
        commentId: String,
        communityId: String,
        articleId: String,
        topCommentId: String,
        entrance: String,
        path: String
    ): Intent? {
        ToastUtils.toast("调用->NewCommentDetailProviderImpl.getGameCollectionCommentIntent")
        return null
    }

    override fun getVideoCommentIntent(
        context: Context,
        commentId: String,
        videoId: String,
        topCommentId: String,
        entrance: String,
        path: String
    ): Intent? {
        ToastUtils.toast("调用->NewCommentDetailProviderImpl.getVideoCommentIntent")
        return null
    }

    override fun getGameCollectionCommentIntent(
        context: Context,
        commentId: String,
        gameCollectionId: String,
        topCommentId: String,
        entrance: String,
        path: String
    ): Intent? {
        ToastUtils.toast("调用->NewCommentDetailProviderImpl.getGameCollectionCommentIntent")
        return null
    }
}